import axios from 'axios'
const httpRequest = axios.create({
  baseURL: webConf.others.baseUrl,
  timeout: 60000,
  withCredentials: true,
  headers: {
    'Content-Type': 'application/x-www-form-urlencoded',
    tenant: 'x1'
  }
})

// 请求拦截
httpRequest.interceptors.request.use(
  function(config) {
    return config
  },
  function(error) {
    return Promise.reject(error)
  }
)

// 响应拦截
httpRequest.interceptors.response.use(
  function(response) {
    const { data, code } = response.data
    if (code === 401) {
      window.location.href = `${webConf.others.loginUrl}?rd=${encodeURIComponent(window.location.href)}`
    }
    if (code !== 200) {
      return Promise.reject(data)
    }
    return data
  },
  function(error) {
    if (error.response) {
      const { msg } = error.response.data
      console.error(msg || error.response.data)
      return Promise.reject(error.response)
    } else {
      console.error(error)
    }
    return Promise.reject(error)
  }
)

export default httpRequest
